_veh = _this select 0;
_crew = crew _veh;
_driver = driver _veh;
_gunner = gunner _veh;
_commander = commander _veh;
_mainCrew = [_driver,_gunner,_commander];
_cargo = _crew - _mainCrew;
_aCrew = {alive _x} count _mainCrew;
_crewMounted = if (({ vehicle _x != _x and alive _x } count _mainCrew) > 0) then { true } else { false };

comment {player globalchat format ["%1 hit. Damage: %2, alive crew: %3",_veh, damage _veh, _aCrew]};
_why = "";
_destroyed = if (!alive _veh) then { true } else { false };
_canMove = if (canMove _veh) then { true } else { false };
_tank = if ("Tank" countType [_veh] > 0) then { true } else { false };
_air = if ("Plane" countType [_veh] > 0 or ("Helicopter" countType [_veh] > 0 and "ParachuteBase" countType [_veh] == 0)) then { true } else { false };
_canFire = if ((_tank and canFire _veh) or !_tank) then { true } else { false };

if (!_air and count _cargo > 0 and !(_veh in kVeh)) then { [_veh, _cargo] exec "kVeh\dismountCargo.sqs" };

if (!_destroyed and _aCrew > 0 and !_air and (!_canMove or !_canFire)) then {
	if (!_canMove and _canFire) then { _why = "cantMove" };
	if (_canMove and !_canFire) then { _why = "cantFire" };
	comment {player globalchat format ["%1 %2. Loading bug fix",_veh,_why]};
	[_veh,crew _veh,_why] exec "kVeh\bailOut.sqs";
};
if (!_destroyed and !_air and (_aCrew == 0 or !_crewMounted)) then {
	[_veh,[]] exec "kVeh\replaceVeh.sqs";
};