comment { DON'T CHANGE THIS LINE BELOW };
private ["_wlang","_elang","_rlang","_clang","_return"];

comment { LANGUAGES 
//		Language spoken by WEST side. It can be: 0 (for american english), 1 (for russian) or 2 (for arabic) };
_wlang = 0;

comment { Language spoken by EAST side. It can be: 0 (for american english), 1 (for russian) or 2 (for arabic) };
_elang = 1;

comment { Language spoken by RESISTANCE side. It can be: 0 (for american english), 1 (for russian) or 2 (for arabic) };
_rlang = 2;

comment { Language spoken by CIVILIAN side. It can be: 0 (for american english), 1 (for russian) or 2 (for arabic) };
_clang = 2;

comment { DON'T CHANGE THIS LINE BELOW };
_return = [_wlang,_elang,_rlang,_clang];


comment { 
//	GLOBAL VARIABLE:
//	The variables have the format DTV set [ <index>, <value>]
//	You ONLY have to change the <value> part
//	EXAMPLE
//	To change the array used to detect all units if you're using WGL you can use the built in array wgl_units: DTV set [ 0 , "wgl_units" ]
//	Notice that only "list allUnits" was changed to "wgl_units", and the rest is the same 
};

comment { 
//	UNITS ARRAY
//	Name of the array listing all units that will be included in the DSAI scripts
//	If the array comes from a trigger then you must reference it this way: "list <name of trigger>" (example: "list allUnits", if the trigger is named allUnits)
};
DTV set [ 0 , "list allUnits" ];

comment { EXCEPTIONS 
//		 GROUPS to be omitted from the DSAI scripts };
DTV set [ 2 , [] ];

comment { UNITS to be omitted from the DSAI scripts };
DTV set [ 3 , [] ];

comment { Unit CLASSES to be omitted from the DSAI scripts. Mainly women (as there's only male voices), snipers, etc. 
//			Women classes };
DTV set [ 4 , ["Angelina","Woman1","Woman2","Woman3","Woman4","Woman5","BAS_opforciv1w","BAS_opforciv2w","BAS_opforciv3w","BAS_opforciv1wRES","BAS_opforciv2wRES","BAS_opforciv3wRES","BAS_opforciv1wE","BAS_opforciv2wE","BAS_opforciv3wE","BAS_MilitiaWAKM","BAS_MilitiaWSKS","BAS_MilitiaWFAL","BAS_MilitiaWG3","BAS_MilitiaWRPD","BAS_MilitiaWPKM","BAS_MilitiaWSVD","BAS_MilitiaWRPG","BAS_MilitiaWRPGAA","BAS_MilitiaWRPGAP","BAS_MilitiaWAKMHD","BAS_MilitiaWSKSHD","BAS_MilitiaWFALHD","BAS_MilitiaWG3HD","BAS_MilitiaWRPDHD","BAS_MilitiaWPKMHD","BAS_MilitiaWRPGHD","BAS_MilitiaWRPGAAHD","BAS_MilitiaWRPGAPHD","dma_lib_civf1","dma_lib_civf2","dma_lib_civf3","dma_lib_civf4"] ];

comment { Other classes };
DTV set [ 5 , (DTV select 4) + ["SoldierWSniper","SoldierWLAWSniper","SoldierESniper","SoldierGSniper","SoldierWSaboteurPipe","SoldierWSaboteurDay","SoldierWSaboteurPipeHG","SoldierWSaboteurXMS","SoldierWSaboteurLaser","SoldierESaboteurPipe","SoldierESaboteurBizon","SoldierESaboteurPipeHG"] ];

comment { SIDES to be excluded from DSAI };
comment { Possible values: "WEST", "EAST", "GUER", "CIV", "ENEMY" };
DTV set [ 10 , [] ];

comment { 
//	Nighttime
//	Time of start and end of night
 };
DTV set [ 14 , [21, 6] ];

comment { Debug mode };
DTV set [ 13 , false ];

_return