comment { WEAPON CLASSES };
comment { Returns a list of sniper rifles, MGs, LMGs and hand grenade classes belonging to the passed mods/addons. };

private ["_wMG","_wSn","_wGr","_cls"];

_cls = _this select 0;

_wMG = [];
_wSn = [];
_wGr = [];

comment { FUERZAS ARMADAS + FINUL };
if ("FFAA" in _cls) then {
	_wMG = _wMG + ["Spai_Ameli","Spai_mg3","Spai_G36LMG"];
	_wSn = _wSn + ["Spai_L96A1","Spai_barrett"];
};
comment { JAM };
if ("JAM" in _cls) then {
	_wMG = _wMG + ["JAM_PKM","JAM_PKMFS","JAM_PKMFS","JAM_M60","JAM_M60FS"];
	_wSn = _wSn + ["JAM_M21","JAM_SVD","JAM_Remington"];
};
comment { LASER WEAPONS PACK };
if ("LSR" in _cls) then {
	_wMG = _wMG + ["LSR_m249","LSR_m249_aim","LSR_m249_m145","LSR_m249_para","LSR_m249_para_aim","LSR_m249saw","LSR_m249saw_aim","LSR_m249spw_acog","LSR_m240","LSR_m240_acog","LSR_m240_rx","LSR_m240_m145","LSR_m60","LSR_m60e4","LSR_m249_ai","LSR_m249_aim_ai","LSR_m249_m145_ai","LSR_m249_para_ai","LSR_m249_para_aim_ai","LSR_m249saw_ai","LSR_m249saw_aim_ai","LSR_m249spw_acog_ai","LSR_m240_ai","LSR_m240_acog_ai","LSR_m240_rx_ai","LSR_m240_m145_ai","LSR_m60_ai","LSR_m60e4_ai"];
	_wSn = _wSn + ["LSR_sr25","LSR_m21","LSR_m21_nbp","LSR_m24","LSR_m24_des","LSR_m24_camo","LSR_m40","LSR_m82a1"];
};
comment { LOST BROTHERS };
if ("LOBO" in _cls) then {
	_wMG = _wMG + ["LoBoM240Belt","LoBoM240","LoBoM249","LoBoM249ACOG","LoBoNegev","LoBoNegev_Commando","LoBo_PK","LoBo_PKM","LoBoRPK47M"];
	_wSn = _wSn + ["LoBoGalatz","LoBo_M82","LoBo_KSVK","LoBo_SR25","LoBo_SR25Camo","LoBo_SVD","LoBo_r700","LoBo_PSG1","LoBo_MSG90"];
};
comment { OPERATION ENDURING FREEDOM };
if ("OEF" in _cls) then {
	_wMG = _wMG + ["LSRWGL_m249","LSRWGL_m249_aim","LSRWGL_m249_m145","LSRWGL_m249_para","LSRWGL_m249_para_aim","LSRWGL_m249saw","LSRWGL_m249saw_aim","LSRWGL_m249spw_acog","LSRWGL_m240","LSRWGL_m240_acog","LSRWGL_m240_rx","LSRWGL_m240_m145","LSRWGL_m60","LSRWGL_m60e4","LSRWGL_m249_ai","LSRWGL_m249_aim_ai","LSRWGL_m249_m145_ai","LSRWGL_m249_para_ai","LSRWGL_m249_para_aim_ai","LSRWGL_m249saw_ai","LSRWGL_m249saw_aim_ai","LSRWGL_m249spw_acog_ai","LSRWGL_m240_ai","LSRWGL_m240_acog_ai","LSRWGL_m240_rx_ai","LSRWGL_m240_m145_ai","LSRWGL_m60_ai","LSRWGL_m60e4_ai"];
	_wSn = _wSn + ["LSRWGL_sr25","LSRWGL_m21","LSRWGL_m21_nbp","LSRWGL_m24","LSRWGL_m24_des","LSRWGL_m24_camo","LSRWGL_m40","LSRWGL_m82a1"];
};
comment { OPERATION FRENCHPOINT };
if ("OFRP" in _cls) then {
	_wMG = _wMG + ["OFrP_Minimi","OFrP_ANF1L"];
	_wSn = _wSn + ["OFrP_FRF2","OFrP_HecateII"];
	_wGr = _wGr + ["GrenDefHand","GrenMiniHand","GrenBlastHand"];
};
comment { PEOPLE'S LIBERATION ARMY };
if ("PLA" in _cls) then {
	_wMG = _wMG + ["QJY88","QBB95"];
	_wSn = _wSn + ["QBU88"];
};
comment { RUSSIAN WEAPONS PACK };
if ("ORCS" in _cls) then {
	_wMG = _wMG + ["ICP_rpk74","ICP_rpk74m","ICP_rpk47","ICP_rpkn","ICP_PK","ICP_PKN","ICP_PKM"];
	_wSn = _wSn + ["ICP_SVD","ICP_SVDN","ICP_SVD63","ICP_SVD89","ICP_SVDCamo","ICP_SVDS"];
};
comment { SEB NAM };
if ("SEB" in _cls) then {
	_wMG = _wMG + ["sebm60","sebm60s","sebm63a"];
	_wSn = _wSn + ["sebmosin","sebrem700"];
};
comment { TONAL REDUX };
if ("TONAL" in _cls) then {
	_wMG = _wMG + ["BAS_PKM","BAS_RPK","C8XJAMRPK74M","JAM_PKM","C8XJAMRPK74M1p29"];
	_wSn = _wSn + ["BAS_SVD"];
};
comment { UK FORCES };
if ("UKF" in _cls) then {
	_wMG = _wMG + ["ukf_gpmg","ukf_lmg"];
};
comment { VIETNAM - THE EXPERIENCE };
if ("VTE" in _cls) then {
	_wMG = _wMG + ["VTE_Browning","VTE_Bar","VTE_sof2m60","VTE_m60s","VTE_m63a","JAM_M60FS","JAM_PKMFS"];
	_wSn = _wSn + ["JAM_M21","JAM_Remington700","JAM_SVD","VTE_mosins"];
};
comment { WGL };
if ("WGL" in _cls) then {
	_wMG = _wMG + ["WGL_M240","WGL_M249","WGL_M249Para","WGL_M60","WGL_PKM","WGL_RPK47","WGL_RPK74"];
	_wSn = _wSn + ["WGL_M21","WGL_M24","WGL_M40A1","WGL_M40A3","WGL_M82A1","WGL_M82A1_300","WGL_OSV96","WGL_SV98","WGL_SVD"];
	_wGr = _wGr + ["WGL_Handgrenade"];
};
comment { WW4 };
if ("WW4" in _cls) then {
	_wMG = _wMG + ["WW4_M240","WW4_M60","WW4_M249","WW4_M249Aim","WW4_PKM","WW4_RPK74","ww4_RPK74Kobra","WW4_RPK47"];
	_wSn = _wSn + ["WW4_M24","WW4_M40","WW4_SVD","WW4_M82","WW4_V94"];
};


comment { CUSTOM };
comment { You can add here your personalized list of weapon classes. _wMG for machineguns and light machineguns. _wSn for sniper rifles. _wGr for grenades };
if ("CUSTOM" in _cls) then {
	_wMG = _wMG + [];
	_wSn = _wSn + [];
	_wGr = _wGr + [];
};



_return = [_wMG,_wSn,_wGr];
_return