/*
PLAY ANIMATION FUNCTION

Plays animations on clients

_unit: unit that will play the animation
_anim: animation to play
_mode: 0 (playMove), 1 (switchMove) - defaults to 0

*/

private ["_unit","_anim","_mode"];

_unit = _this select 0;
_anim = _this select 1;
_mode = if (count _this > 2) then { _this select 2 } else { 0 };

if (_mode == 0) then { _unit playMove _anim };
if (_mode == 1) then { _unit switchMove _anim };