/*
SUPPRESSION LEVEL CHECK

*/

private ["_return","_u","_sk","_skPSup","_mg","_sn","_maxSupLvl","_maxSupTime","_minSupLvl","_i","_uA","_sLvl","_sTime","_tPassed","_sMod","_nUA","_debug"];

_u = _this select 0;
_sk = _this select 1;
_skPSup = _this select 2;
_mg = _this select 3;
_sn = _this select 4;

_sLvl = 0;
_return = [];

_debug = kSupp select 8;

_maxSupLvl = (_sk*(_skPSup /100)) * 10;
if (_maxSupLvl <= 0) then { _maxSupLvl = 0.1 };
_maxSupTime = 15 - _maxSupLvl;
_minSupLvl = _maxSupLvl/2;

_i = [_u,kSupp select 11] call in2Darray;
if (_i > -1) then { 
	_uA = (kSupp select 11) select _i;
	_sLvl = _uA select 1;
	_sTime = _uA select 2;

	// Decrease suppression lvl based how much time has passed since last close bullet
	_tPassed = time - _sTime;
	if (_tPassed > _maxSupTime) then { _sLvl = _sLvl - (_tPassed - _maxSupTime)};
	if (_sLvl < 0) then { _sLvl = 0};

	// Add suppression lvl of current bullet, based on type of weapon used
	_sMod = 1;
	if (_mg) then { _sMod = 2};
	if (_sn) then { _sMod = 4};
	_sLvl = _sLvl + _sMod;
	if (_sLvl > _maxSupLvl) then { _sLvl = _maxSupLvl};
	//if (_debug) then { CoC_Server globalchat format ["[kSupp] _sLvl: %1, _maxSupLvl: %2, _tPassed: %3, _maxSupTime: %4",_sLvl, _maxSupLvl, _tPassed, _maxSupTime] };

	// Update the unit's suppression lvl array with new values
	if (!alive _u) then {
		_nUA = [_u, _sLvl, time];
		(kSupp select 11) set [_i, _nUA];
	};
};

_return = [_sLvl,_maxSupLvl,_minSupLvl,_maxSupTime];

_return