/*
CLIENT CHAT FUNCTION

Displays chat entries on clients

_unit: unit that will send the chat line
_txt: text to display
_mode: 0 (sidechat), 1 (globalchat), 2 (groupchat), 3 (vehiclechat) - defaults to 0

*/

private ["_unit","_txt","_mode"];

_unit = _this select 0;
_txt = _this select 1;
_mode = if (count _this > 2) then { _this select 2 } else { 0 };

if (_mode == 0) then { _unit sidechat _txt };
if (_mode == 1) then { _unit globalchat _txt };
if (_mode == 2) then { _unit groupchat _txt };
if (_mode == 3) then { _unit vehiclechat _txt };